package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.ServicesMapper;
import com.sa.ibiz.demo.demo.domain.Services;
import com.sa.ibiz.demo.demo.service.ServicesService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.ServicesSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[Services] 服务对象接口实现
 */
@Service
public class ServicesServiceImpl extends ServiceImplBase<ServicesMapper, Services> implements ServicesService{


    @Resource
    private ServicesMapper servicesMapper;


    @Override
    public boolean create(Services et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(Services et){
        this.beforeUpdate(et);
		this.servicesMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(Services et){
		return et.getServiceid();  
    }

    @Override
    public boolean getDraft(Services et)  {
            return true;
    }
    @Override
    public Services startService(Services et)  {
		return et;
    }
    @Override
    public Services stopService(Services et)  {
		return et;
    }

	public List<Services> listDefault(ServicesSearchFilter filter) {
		return servicesMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<Services> searchDefault(ServicesSearchFilter filter) {
		return servicesMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return servicesMapper.selectRow(sql);
    }

 }